WCSDUP(3)

NAME
wcsdup - duplicate a wide-character string

SYNOPSIS
#define _GNU_SOURCE
#include <wchar.h>

wchar_t *wcsdup(const wchar_t *s);

DESCRIPTION
The wcsdup() function is the wide-character equivalent of the strdup(3) function. It allocates and returns a new wide-character string whose initial contents is a duplicate of the wide-character string pointed to by s.

Memory for the new wide-character string is obtained with malloc(3), and can be freed with free(3).

RETURN VALUE
The wcsdup() function returns a pointer to the new wide-character string, or NULL if sufficient memory was not available.

ERRORS

ENOMEM
    Insufficient memory available to allocate duplicate string.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
strdup(3), wcscpy(3), feature_test_macros(7)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.